Bug 14014 - Argument "" isn't numeric in numeric gt (>) in circulation.tt
Summary: Argument "" isn't numeric in numeric gt (>) in circulation.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-19 19:02 UTC by Marc Véron
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14014 - Argument "" isn't numeric in numeric gt (>) in circulation.tt (1.23 KB, patch)
2015-04-19 19:09 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14014 - Argument "" isn't numeric in numeric gt (>) in circulation.tt (1.27 KB, patch)
2015-04-20 00:55 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 14014 - Argument "" isn't numeric in numeric gt (>) in circulation.tt (1.39 KB, patch)
2015-04-20 10:22 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-04-19 19:02:59 UTC
intranet-error.log contains:

Argument "" isn't numeric in numeric gt (>) at /usr/share/kohaclone/koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt line 217

Line 217:
[% IF ( RENTALCHARGE > 0 ) %]

RENTALCHARGE does not necessarily exist.
Comment 1 Marc Véron 2015-04-19 19:09:16 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-04-20 00:55:16 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-20 10:22:49 UTC
Created attachment 38171 [details] [review]
Bug 14014 - Argument "" isn't numeric in numeric gt (>) in circulation.tt

To test:

Do some checkouts
In intranet-error.log you get lines similar to:
circulation.pl: Argument "" isn't numeric in numeric gt (>) at /usr/share/kohaclone/koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt line 217.

Apply patch
The warning  should no longer appear.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
To reproduce the confirmation message must be displayed.
Comment 4 Tomás Cohen Arazi 2015-04-20 13:29:18 UTC
Patch pushed to master.

Thanks Marc, we love getting rid of useless warnings :-D
Comment 5 Chris Cormack 2015-04-22 05:42:12 UTC
Pushed to 3.18.x will be in 3.18.6